View Issue Details

IDProjectCategoryView StatusLast Update
0003877Far ManagerPanelpublic2021-07-07 18:54
ReporterPx Assigned ToDrKnS  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindows 
Product Version3.0 
Fixed in Version3.0 
Summary0003877: Выход в корень архива по cd \ портит информацию о текущем диске на панели
DescriptionВыглядит это так
╔══════════════════ \
║n      Name       ║
║..                ║
║$RECYCLE.BIN      ║
Воспроизводится на пустом профиле
Steps To Reproduce1. Находясь в корне какого-нибудь диска заходим в лежащий тут же архив, к примеру Far30b5843.x86.20210704.7z
2. Выполняем в командной строке cd \
3. Выходим из архива назад в корень диска
Ожидаемое поведение:
вывод на панели такой же, как до входа в архив
╔═════════════════ M:\
║n      Name       ║
║$RECYCLE.BIN      ║
Реальное поведение:
имя диска заменено на \, в корне отображается ..
TagsNo tags attached.
Build5844

Activities

2useven10

2021-07-05 12:11

developer   bugnote:0017107

И чем плоха возможность сменить текущий каталог не выходя из архива?

Px

2021-07-05 18:35

reporter   bugnote:0017108

Не понял сути вопроса. cd \ в архиве всегда переносил в корень архива, претензий к этому нет. Претензия есть к тому, что после выхода из архива теперь информация о диске, на котором находится архив, искажена.

DrKnS

2021-07-06 17:23

administrator   bugnote:0017110

5844

Px

2021-07-07 18:29

reporter   bugnote:0017128

Ага, исправлено, спасибо

Issue History

Date Modified Username Field Change
2021-07-04 12:01 Px New Issue
2021-07-05 12:11 2useven10 Note Added: 0017107
2021-07-05 18:35 Px Note Added: 0017108
2021-07-06 17:14 DrKnS Assigned To => DrKnS
2021-07-06 17:14 DrKnS Status new => assigned
2021-07-06 17:23 DrKnS Note Added: 0017110
2021-07-06 17:23 DrKnS Status assigned => feedback
2021-07-07 18:29 Px Note Added: 0017128
2021-07-07 18:29 Px Status feedback => assigned
2021-07-07 18:54 DrKnS Status assigned => closed
2021-07-07 18:54 DrKnS Resolution open => fixed
2021-07-07 18:54 DrKnS Fixed in Version => 3.0
2021-07-07 18:54 DrKnS Build => 5844